#ifndef LR1_EXCEPTIONS_H
#define LR1_EXCEPTIONS_H


#include <exception>
#include <string>


class BadFileFormatException : public std::exception {
    std::string error;
public:
    BadFileFormatException();
    const char* what() const noexcept override;
};


class FileIsNotFoundException : public std::exception {
    std::string error;
public:
    FileIsNotFoundException();
    const char* what() const noexcept override;
};


#endif //LR1_EXCEPTIONS_H